Name:		healpix
%define relname	Healpix
Version:	2.01
# N.B.: Version updates must be reflected in the $HEALPIX variable
# in healpix.{sh,csh} in /etc/profile.d
Release:	1%{?dist}
%define relver	2005Nov05
Summary:	HEALPix spherical mapping routines

Group:		Applications/Multimedia
License:	GPL
URL:		http://healpix.jpl.nasa.gov/
Source0:	http://downloads.sourceforge.net/healpix/%{relname}_%{version}_%{relver}.tar.gz
Source1:	healpix.sh
Source2:	healpix.csh
Patch0:		healpix-2.01-fc-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cfitsio-devel, gcc-gfortran, fftw-devel
Requires:	setup

%description
HEALPix is a Hierarchical, Equal Area, and iso-Latitude Pixelisation of the sphere designed to support efficiently (1) local operations on the pixel set, (2) a hierarchical tree structure for multi-resolution applications, and (3) the global Fast Spherical Harmonic transform. HEALPix based mathematical software meets the challenges which future high resolution and large volume CMB data sets, including the WMAP and Planck mission products, will present.

%prep
%setup -q -n %{relname}_%{version}
%patch0 -p1 -b .fc-configure


%build
%configure
make %{?_smp_mflags} -j1


%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_includedir} $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
%{__install} -d $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/data $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/examples $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/fits $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/misc $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/toolkit $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/visu $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/zzz_external/astron $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/zzz_external/cgis
%{__install} -p -t $RPM_BUILD_ROOT/%{_bindir} bin/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_includedir} include/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_libdir} lib/libhealpix.a
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/data data/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl src/idl/HEALPix_startup src/idl/README.txt
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/examples src/idl/examples/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/fits src/idl/fits/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/misc src/idl/misc/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/toolkit src/idl/toolkit/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/visu src/idl/visu/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/zzz_external src/idl/zzz_external/README
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/zzz_external/astron src/idl/zzz_external/astron/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/idl/zzz_external/cgis src/idl/zzz_external/cgis/*
%{__install} -p -t $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d %{SOURCE1}
%{__install} -p -t $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL Version doc/html doc/pdf doc/README
%{_bindir}/*
%{_includedir}/*
%{_libdir}/libhealpix.a
%{_datadir}/%{name}-%{version}
%config %{_sysconfdir}/profile.d/healpix.sh
%config %{_sysconfdir}/profile.d/healpix.csh


%changelog
* Fri Aug 24 2007 J. Randall Owens <jrowens@ghiapet.homeip.net> - 2.01-1
- Initial packaging
- ToDo: split off java, fortran, IDL, etc. packages? devel?

